Bug 289238 - dolphin doesnt have an option do enable/disable animation
Summary: dolphin doesnt have an option do enable/disable animation
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 1.99
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-17 23:05 UTC by
Modified: 2012-03-10 14:01 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 2011-12-17 23:05:50 UTC
Version:           0.0.1 (using Devel) 
OS:                Linux

In dolphin theres no option providing the user the ability to choose to have (or not) the animation.
For whos used to not have animation this is some annoying :)

Could you please provide some entry (for example in systemsettings) to enable/disable animation in dolphin.

Reproducible: Didn't try

Steps to Reproduce:
Run dolphin :)

Actual Results:  
Dolphin animated.

Expected Results:  
An option to enable/disable dolphin animation.

OS: Linux (x86_64) release 3.1.5-1.1-desktop
Compiler: gcc
Comment 1 Peter Penz 2011-12-18 14:39:09 UTC
Git commit eef0b72affe25e8ac3162d0581d1cfe62fd11b41 by Peter Penz.
Committed on 18/12/2011 at 15:33.
Pushed by ppenz into branch 'master'.

Turn off animations if they are globally disabled

Respect the graphicseffect level in the system settings. This will disable
all item-animations if the graphicseffect level is "NoEffect".

The smooth scrolling won't be disabled in this case, but the duration has been
made smaller so that it is not recognized as an animation.

BUG: 289238
FIXED-IN: 4.8.0

M  +1    -1    dolphin/src/kitemviews/kitemlistsmoothscroller.cpp
M  +9    -5    dolphin/src/kitemviews/kitemlistviewanimation.cpp
M  +1    -0    dolphin/src/kitemviews/kitemlistviewanimation_p.h

http://commits.kde.org/kde-baseapps/eef0b72affe25e8ac3162d0581d1cfe62fd11b41
Comment 2 2011-12-18 22:29:27 UTC
This was a good move, but i think dolphin animation is being mixed with global effects.
Until 4.7.1 dolphin alsways worked that animation efect without having any relation with global efects, so i think would be good if use could have in dolphin an option to enable/disable anumation that wasnt related with global kde efects.
Or at least provide the user some entry in systemsettings allowing to enable/disale efects for filemanagers.
Comment 3 Tanja Schulte 2012-01-28 17:06:34 UTC
The animation dolphin shows when the *icon size changes* is extremely confusing. It should be possible to just disable that specific animation in dolphin's settings. This should not affect other animations in other applications. It's a filemanager only thing.
Comment 4 Peter Penz 2012-01-28 18:59:27 UTC
If an animation is confusing then the animation should be fixed or completely removed. Providing a Dolphin specific option to turn it off is just a poor workaround to investigate some work in my opinion... I'm collecting input of users to get some feedback and hopefully those things can be improved. What would be helpful is to describe what is confusing: Is the animation too slow, too jerky? Thanks.
Comment 5 Tanja Schulte 2012-01-29 01:31:35 UTC
Difficult to describe... The animation is much too jerky, too jumping, too dancing, too ... animated... For what I want to achieve the animation is too slow and too playful. My eye is there before the file arrives at its new place. But at the same time I try to follow the animation. But for an animation it is too fast. Conclusion for me: this action is better off with no animation.
Comment 6 Janet 2012-01-29 01:41:22 UTC
Add me. No dancing icons please when changing view mode or icon size. I like animations like the slowly appearing yakuake console or tooltips slowly blending in etc. - but not in my filemanager's file area. I want instant access to the new view mode/icon size. It should react like a switch, instant on/off. Dolphin currently behaves like the old energy saver bulbs which needed time to warm up to get brighter - but dolphin does also take a trip around the lamp while doing so...
Comment 7 Janet 2012-01-29 02:53:11 UTC
Es sieht bei der Animation so aus, als ob sich die Icons ineinander verschieben und dabei Plätze tauschen würden.
Comment 8 Peter Penz 2012-01-29 08:25:49 UTC
@Janet: Assuming you use the icons-view, have a large Dolphin window and lets say only 3 file items. If you now use the zoom-slider in the statusbar to increase the icon size: Does this animation (where no "dancing" is done, only zooming) disturb you? My guess is that what disturbs you is the following use case:

Having the following items:
A B C D
E F
when increasing the icon size the item D "dances" to the next line:
A B C
D E F
is this correct?

What I currently tend to think about is to skip this "D goes into the next line" animation and just animate the zooming. But I'd need to get some feedback whether this part is the disturbing one. Thanks.
Comment 9 Peter Penz 2012-01-29 17:31:38 UTC
Git commit 84bb46aa4b913fa138ee10841ecb64ab323a9009 by Peter Penz.
Committed on 29/01/2012 at 18:29.
Pushed by ppenz into branch 'KDE/4.8'.

Make moving animations less obtrusive

Only animate the moving of items if the new position is within the same
row or the same column. Otherwise just fade in the icon on the new position.
This makes the the animations when resizing the window or changing the zoom-level
a lot more pleasant.

M  +53   -27   dolphin/src/kitemviews/kitemlistview.cpp
M  +16   -0    dolphin/src/kitemviews/kitemlistview.h

http://commits.kde.org/kde-baseapps/84bb46aa4b913fa138ee10841ecb64ab323a9009
Comment 10 Peter Penz 2012-01-29 17:32:18 UTC
Git commit d49707c502c42054bda01ba602220e60b85cac3f by Peter Penz.
Committed on 29/01/2012 at 18:29.
Pushed by ppenz into branch 'master'.

Make moving animations less obtrusive

Only animate the moving of items if the new position is within the same
row or the same column. Otherwise just fade in the icon on the new position.
This makes the the animations when resizing the window or changing the zoom-level
a lot more pleasant.

M  +53   -27   dolphin/src/kitemviews/kitemlistview.cpp
M  +16   -0    dolphin/src/kitemviews/kitemlistview.h

http://commits.kde.org/kde-baseapps/d49707c502c42054bda01ba602220e60b85cac3f
Comment 11 Peter Penz 2012-01-29 17:33:55 UTC
@all: Please try again the now less obtrusive animations when changing the window-size and zooming in 4.8.1. If you have further suggestions, please let us know.
Comment 12 andre.cbarros 2012-02-07 01:21:30 UTC
OK, the effect is better now but, still, can we have a option to turn off the animations?

I think I understand your worries about keep settings by applications. The whole KDE is moving to have a more centralized way to control its many features.

May I suggest that instead of drop it or just use general settings, the KDE project develops a scheme that allows applications to register effects it may have and make them available through advanced settings on System Settings in Workspace Appearance or, better, Application Appearance?

The behavior should be simple:
-01- application starts;
-02- reads the general settings it may be interested in;
-03- reads specific effects it supports;
-04- if one of the settings is not available, pick default ones
     register it and mark it with default value;

If the user want to change it, a central point will be available to change it and the developer will be freed of worry about one more dialog to maintain.

The settings may even be available by app version if needed.

Anyway, thank you very much for all the hard work. KDE is the best DE ever I used to this time.
Comment 13 Janet 2012-02-20 23:16:24 UTC
Re #8: A little late but yes, that's correct.
Comment 14 Kai Uwe Broulik 2012-03-10 12:02:08 UTC
The animation change in 4.8.1 looks weird to me. When I resize the window bigger/smaller or change zoom factor, the icons just instantly change positions and stuff like that and when they do, the icon size increase is also no longer animated.
I really liked the transitions :(
I guess there is no way to satisfy all people but can't you add a config option for this in the 4.8.x releases? (And a GUI option then in 4.9)
Comment 15 Peter Penz 2012-03-10 14:01:58 UTC
@Kai Uwe: Nice to hear that you liked the animated transitions, but sadly we don't have the resource to maintain 3 code-paths (1: no animations, 2: partly animated like now, 3: always animated), so I don't plan to add a further option :-( Please note that the animations have not been completely disabled: E.g. when deleting or inserting files you still have nice animations. Also zooming and resizing is animated if the number of rows/columns don't change (is of course quite rare). My personal point of view after using the animations for several months and having quite some discussions: They look nice when having only a few and large items e.g. in the icons-view, but they get quite confusing when having e.g. 10 rows or using the compact-view. As you said I probably cannot satisfy everybody but I think there is room for improvements for the future without going the "yet-another-option"-path ;-)